# Account Creation

This is one of the services from the registration module used to create new accounts in Finpay. You can use this API to create a valid new account.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 06
```

| Environment | Method | URL                                                                |
| ----------- | ------ | ------------------------------------------------------------------ |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/registration-account-creation> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/registration-account-creation>     |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name               | Type   | Mandatory | Min Length | Max Length | Description                                |
| -- | ------------------ | ------ | --------- | ---------- | ---------- | ------------------------------------------ |
| 1  | partnerReferenceNo | String | M         | 1          | 64         | Transaction identifier number from partner |
| 2  | phoneNo            | String | M         | 1          | 16         | Customer phone number to be created        |
| 3  | name               | String | M         | 1          | 128        | Customer name                              |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "partnerReferenceNo": "78912343452347892",
  "phoneNo": "08190123436",
  "name": "Finnet"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name               | Type                                                              | Mandatory | Min Length | Max Length | Description                                |
| -- | ------------------ | ----------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------ |
| 1  | responseCode       | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | BI SNAP Response Code.                     |
| 2  | responseMessage    | String                                                            | M         | 1          | 150        | BI SNAP Response Message.                  |
| 3  | partnerReferenceNo | String                                                            | O         | 1          | 64         | Transaction identifier number from partner |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2000600",
  "responseMessage": "Request has been processed successfully",
  "partnerReferenceNo": "78912343452347892"
}
```

#### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

| No | HTTP Code | Code    | Message                                  |
| -- | --------- | ------- | ---------------------------------------- |
| 1  | 200       | 2000600 | Request has been processed successfully  |
| 2  | 400       | 4000600 | Bad request                              |
| 3  | 400       | 4000601 | Invalid field format {field}             |
| 4  | 400       | 4000602 | Invalid mandatory field {field}          |
| 5  | 401       | 4010601 | Invalid token (B2B)                      |
| 6  | 401       | 4010600 | Unauthorised. \[Reason]                  |
| 7  | 403       | 4030601 | Feature not allowed                      |
| 8  | 403       | 4030604 | Activity count limit exceeded            |
| 9  | 404       | 4040608 | Invalid merchant                         |
| 10 | 409       | 4090600 | Conflict \[Duplicate partnerReferenceNo] |
| 11 | 500       | 5000600 | General error                            |
| 12 | 504       | 5040600 | Timeout                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/registration/account-creation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
